@font-face {
  font-family: 'Anurati'; 
  src: url("../assets/Anurati-Regular.otf") format("opentype");
  font-style: normal;
}

@font-face {
  font-family: 'Roboto'; 
  src: url("../assets/Roboto-Regular.ttf") format("truetype");
  font-style: normal;
}

/* variables */
:root {
  --text: #a6e9f5; 
}

body, html {
  background-image: linear-gradient(to right top, #012335, #003048, #003e5c, #004c71, #005a86, #00638f, #006b97, #0074a0, #08799d, #1a7d99, #298195, #388491);  color: #f2f2f2;
	font-family: "Lucida Console", Monaco, monospace;
	height:100%;
	width: 100%;
  background-attachment: fixed;
  background-repeat: no-repeat;
}

canvas {
  display: block;
  position:fixed;
}

#particles-js {
  position: absolute;
  width: 100%;
  height: 100%;
	/*background: var(--background);*/
}

.container {
  display: flex;
	flex: 1;
	justify-content: center;
	align-items: center;
  height: 100%;
  flex-direction: column;
}

.main {
  display: inline-block;
  position: relative;
  text-align: center;
  padding: 20px;
}

.main.animation {
  opacity: 0;
  animation: fadein 1s;
  animation-fill-mode: forwards;
}

.typewriter {
	display: inline-block;
	overflow: hidden;
	max-width: 100%;
	border-right: .15em solid var(--text);
	white-space: nowrap;
	margin: 0 auto;
	letter-spacing: .15em;
}

.typewriter.simple-animation {
  animation: 
    blink-caret .75s step-end infinite;
}

.typewriter.animation {
  animation: 
    typing 2.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

.name {
  font-size: 1.8em;
  font-family: Anurati;
  color: var(--text);
}

.description {
  font-style: italic;
  font-size:1em;
  color: var(--text);
  font-family: Serif;
  position: relative;
  margin-top: 30px;
}

.description.animation {
  opacity: 0;
  animation: fadein 2s;
  animation-fill-mode: forwards;
  animation-delay: 2.6s;
}

.menu {
  position: relative;
  margin-top: 60px;
}

.menu.animation {
  opacity: 0;
  animation: fadein 2.5s;
  animation-fill-mode: forwards;
  animation-delay: 3.1s;
}

.menu a {
  display: block;
  text-align: center;
  color: var(--text);
  opacity: 0.65;
  display: block;
  padding-top: 7px;
  padding-bottom: 7px;
}

.menu a:hover {
  opacity: 1;
  transition: all 0.5s ease;
}

.social {
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: center;
	margin-top: 60px;
}

.social a {
	opacity: 0.65;
  transition: all 0.5s ease;
  margin-right: 14px;
}

.social a:last-child {
  margin-right: 0;
}

.social a img {
  width: 40px;
	height: auto;
}

.social a:hover {
	opacity: 1;
	transition: all 0.5s ease;
}

.social.animation {
  opacity: 0;
  animation: fadein 2s;
  animation-fill-mode: forwards;
  animation-delay: 3.6s;
}

.content {
  margin-top: 60px;
  background: rgba(38,38,38,0.65);
  padding: 20px;
  padding-bottom: 0;
  position: absolute;
  left: 0;
  right: 0;
  margin-bottom: 20px;
}

.content a {
  color: #53d1db;
  opacity: 0.65;
}

.content a:hover {
  opacity: 1;
  transition: all 0.5s ease;
}

.content-title {
  display: block;
  font-size: 2em;
  padding-bottom: 20px;
  border-bottom: 1px dashed var(--text);
}

.project-card {
  font-family: Roboto, "Helvetica Neue", "Open Sans", "Sans", sans-serif;
  width: 100%;
  position:relative;
  display:inline-block;
  text-align: left;
  padding-bottom: 20px;
  margin-top: 20px;
  line-height: 1.3em;
  border-bottom: 1px dashed var(--text);
}

.project-description {
  font-size: 1em;
  opacity: 0.85;
}

.project-keywords {
  font-size: 1em;
}

.opacity-reduced {
  opacity: 0.5;
}

.project-card div {
  margin-bottom: 10px;
}

.project-image {
  width: 30%;
  height: auto;
  float: left;
  margin-right: 10px;
  margin-bottom: 10px;
  filter: none;
}

.project-title {
  font-weight: bold;
}

.project-card:hover .project-image {
  filter:none;
}

@keyframes typing {
	from {width: 0 }
	to { width: 100% }
}

@keyframes blink-caret {
	from, to { border-color: transparent }
	50% { border-color: var(--text) }
}

@keyframes fadein {
  from{ opacity: 0 }
  to{ opacity: 1 }
}